diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/test/drop-tail-queue-test-suite.cc ns-3.44/src/network/test/drop-tail-queue-test-suite.cc
--- ns-3.43/src/network/test/drop-tail-queue-test-suite.cc	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/test/drop-tail-queue-test-suite.cc	2025-03-09 16:55:49.675372100 -0700
@@ -11,8 +11,8 @@
 using namespace ns3;
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
  * DropTailQueue unit tests.
  */
@@ -77,10 +77,10 @@
 }
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief DropTail Queue TestSuite
+ * @brief DropTail Queue TestSuite
  */
 class DropTailQueueTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/test/error-model-test-suite.cc ns-3.44/src/network/test/error-model-test-suite.cc
--- ns-3.43/src/network/test/error-model-test-suite.cc	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/test/error-model-test-suite.cc	2025-03-09 16:55:49.675372100 -0700
@@ -68,8 +68,8 @@
 }
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
  * ErrorModel unit tests.
  */
@@ -83,16 +83,16 @@
     void DoRun() override;
     /**
      * Receive form a NetDevice
-     * \param nd The NetDevice.
-     * \param p The received packet.
-     * \param protocol The protocol received.
-     * \param addr The sender address.
-     * \return True on success.
+     * @param nd The NetDevice.
+     * @param p The received packet.
+     * @param protocol The protocol received.
+     * @param addr The sender address.
+     * @return True on success.
      */
     bool Receive(Ptr<NetDevice> nd, Ptr<const Packet> p, uint16_t protocol, const Address& addr);
     /**
      * Register a Drop
-     * \param p The dropped packet
+     * @param p The dropped packet
      */
     void DropEvent(Ptr<const Packet> p);
 
@@ -171,8 +171,8 @@
 }
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
  * BurstErrorModel unit tests.
  */
@@ -186,16 +186,16 @@
     void DoRun() override;
     /**
      * Receive form a NetDevice
-     * \param nd The NetDevice.
-     * \param p The received packet.
-     * \param protocol The protocol received.
-     * \param addr The sender address.
-     * \return True on success.
+     * @param nd The NetDevice.
+     * @param p The received packet.
+     * @param protocol The protocol received.
+     * @param addr The sender address.
+     * @return True on success.
      */
     bool Receive(Ptr<NetDevice> nd, Ptr<const Packet> p, uint16_t protocol, const Address& addr);
     /**
      * Register a Drop
-     * \param p The dropped packet
+     * @param p The dropped packet
      */
     void DropEvent(Ptr<const Packet> p);
 
@@ -278,10 +278,10 @@
 }
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief ErrorModel TestSuite
+ * @brief ErrorModel TestSuite
  *
  *  This is the start of an error model test suite.  For starters, this is
  *  just testing that the SimpleNetDevice is working but this can be
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/test/header-serialization-test.h ns-3.44/src/network/test/header-serialization-test.h
--- ns-3.43/src/network/test/header-serialization-test.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/test/header-serialization-test.h	2025-03-09 16:55:49.675372100 -0700
@@ -24,9 +24,9 @@
 {
   protected:
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      *
-     * \param [in] name The name of the new TestCase created
+     * @param [in] name The name of the new TestCase created
      */
     HeaderSerializationTestCase(std::string name)
         : TestCase(name)
@@ -39,10 +39,10 @@
      * deserializing from the buffer and serialize the new header into a new buffer.
      * Verify that the two buffers have the same size and the same content.
      *
-     * \tparam T \deduced Type of the given header
-     * \tparam Args \deduced Type of arguments to pass to the constructor of the header
-     * \param [in] hdr the header to test
-     * \param [in] args the arguments to construct the new header
+     * @tparam T \deduced Type of the given header
+     * @tparam Args \deduced Type of arguments to pass to the constructor of the header
+     * @param [in] hdr the header to test
+     * @param [in] args the arguments to construct the new header
      */
     template <typename T, typename... Args>
     void TestHeaderSerialization(const T& hdr, Args&&... args);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/test/ipv6-address-test-suite.cc ns-3.44/src/network/test/ipv6-address-test-suite.cc
--- ns-3.43/src/network/test/ipv6-address-test-suite.cc	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/test/ipv6-address-test-suite.cc	2025-03-09 16:55:49.675372100 -0700
@@ -8,8 +8,8 @@
 using namespace ns3;
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
  * Ipv6Address unit tests.
  */
@@ -85,10 +85,10 @@
 }
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Ipv6Address TestSuite
+ * @brief Ipv6Address TestSuite
  *
  */
 class Ipv6AddressTestSuite : public TestSuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/test/lollipop-counter-test.cc ns-3.44/src/network/test/lollipop-counter-test.cc
--- ns-3.43/src/network/test/lollipop-counter-test.cc	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/test/lollipop-counter-test.cc	2025-03-09 16:55:49.675372100 -0700
@@ -15,10 +15,10 @@
 using namespace ns3;
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Lollipop Counter Test
+ * @brief Lollipop Counter Test
  */
 class LollipopCounterTest : public TestCase
 {
@@ -134,10 +134,10 @@
 }
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Lollipop Counter TestSuite
+ * @brief Lollipop Counter TestSuite
  */
 class LollipopCounterTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/test/packetbb-test-suite.cc ns-3.44/src/network/test/packetbb-test-suite.cc
--- ns-3.43/src/network/test/packetbb-test-suite.cc	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/test/packetbb-test-suite.cc	2025-03-09 16:55:49.675372100 -0700
@@ -19,20 +19,20 @@
 using namespace ns3;
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief PacketBb TestCase
+ * @brief PacketBb TestCase
  */
 class PbbTestCase : public TestCase
 {
   public:
     /**
      * Constructor
-     * \param name Test name.
-     * \param packet Packet to test.
-     * \param buffer Buffer to test.
-     * \param size Buffer size.
+     * @param name Test name.
+     * @param packet Packet to test.
+     * @param buffer Buffer to test.
+     * @param size Buffer size.
      */
     PbbTestCase(std::string name, Ptr<PbbPacket> packet, uint8_t* buffer, uint32_t size);
     ~PbbTestCase() override;
@@ -100,10 +100,10 @@
 }
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief PacketBb TestSuite
+ * @brief PacketBb TestSuite
  */
 class PbbTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/test/packet-metadata-test.cc ns-3.44/src/network/test/packet-metadata-test.cc
--- ns-3.43/src/network/test/packet-metadata-test.cc	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/test/packet-metadata-test.cc	2025-03-09 16:55:49.675372100 -0700
@@ -21,25 +21,25 @@
 {
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Base header-type class to check the proper header concatenation
+ * @brief Base header-type class to check the proper header concatenation
  *
- * \note Class internal to packet-metadata-test.cc
+ * @note Class internal to packet-metadata-test.cc
  */
 class HistoryHeaderBase : public Header
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
     HistoryHeaderBase();
     /**
      * Checks if the header has deserialization errors
-     * \returns True if no error found.
+     * @returns True if no error found.
      */
     bool IsOk() const;
 
@@ -78,12 +78,12 @@
 }
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Template header-type class to check the proper header concatenation
+ * @brief Template header-type class to check the proper header concatenation
  *
- * \note Class internal to packet-metadata-test.cc
+ * @note Class internal to packet-metadata-test.cc
  */
 template <int N>
 class HistoryHeader : public HistoryHeaderBase
@@ -91,8 +91,8 @@
   public:
     HistoryHeader();
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -162,25 +162,25 @@
 }
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Base trailer-type class to check the proper trailer concatenation
+ * @brief Base trailer-type class to check the proper trailer concatenation
  *
- * \note Class internal to packet-metadata-test.cc
+ * @note Class internal to packet-metadata-test.cc
  */
 class HistoryTrailerBase : public Trailer
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
     HistoryTrailerBase();
     /**
      * Checks if the header has deserialization errors
-     * \returns True if no error found.
+     * @returns True if no error found.
      */
     bool IsOk() const;
 
@@ -219,12 +219,12 @@
 }
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Template trailer-type class to check the proper trailer concatenation
+ * @brief Template trailer-type class to check the proper trailer concatenation
  *
- * \note Class internal to packet-metadata-test.cc
+ * @note Class internal to packet-metadata-test.cc
  */
 template <int N>
 class HistoryTrailer : public HistoryTrailerBase
@@ -233,8 +233,8 @@
     HistoryTrailer();
 
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -307,8 +307,8 @@
 } // namespace
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
  * Packet Metadata unit tests.
  */
@@ -319,9 +319,9 @@
     ~PacketMetadataTest() override;
     /**
      * Checks the packet header and trailer history
-     * \param p The packet
-     * \param n The number of variable arguments
-     * \param ... The variable arguments
+     * @param p The packet
+     * @param n The number of variable arguments
+     * @param ... The variable arguments
      */
     void CheckHistory(Ptr<Packet> p, uint32_t n, ...);
     void DoRun() override;
@@ -329,8 +329,8 @@
   private:
     /**
      * Adds an header to the packet
-     * \param p The packet
-     * \return The packet with the header added.
+     * @param p The packet
+     * @return The packet with the header added.
      */
     Ptr<Packet> DoAddHeader(Ptr<Packet> p);
 };
@@ -744,7 +744,7 @@
     p = Create<Packet>(16383);
     p = Create<Packet>(16384);
 
-    /// \internal
+    /// @internal
     /// See \bugid{179}
     p = Create<Packet>(40);
     p2 = p->CreateFragment(5, 5);
@@ -815,7 +815,7 @@
     p->RemoveAtStart(10);
     CHECK_HISTORY(p, 1, 490);
 
-    /// \internal
+    /// @internal
     /// See \bugid{1072}
     p = Create<Packet>(500);
     ADD_HEADER(p, 10);
@@ -826,7 +826,7 @@
     p2 = p->CreateFragment(6, 535 - 6);
     p1->AddAtEnd(p2);
 
-    /// \internal
+    /// @internal
     /// See \bugid{1072}
     p = Create<Packet>(reinterpret_cast<const uint8_t*>("hello world"), 11);
     ADD_HEADER(p, 2);
@@ -871,10 +871,10 @@
 }
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Packet Metadata TestSuite
+ * @brief Packet Metadata TestSuite
  */
 class PacketMetadataTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/test/packet-socket-apps-test-suite.cc ns-3.44/src/network/test/packet-socket-apps-test-suite.cc
--- ns-3.43/src/network/test/packet-socket-apps-test-suite.cc	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/test/packet-socket-apps-test-suite.cc	2025-03-09 16:55:49.675372100 -0700
@@ -20,10 +20,10 @@
 using namespace ns3;
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief PacketSocket apps Unit Test
+ * @brief PacketSocket apps Unit Test
  */
 class PacketSocketAppsTest : public TestCase
 {
@@ -36,8 +36,8 @@
 
     /**
      * Receive a packet
-     * \param packet The packet
-     * \param from Address of the sender
+     * @param packet The packet
+     * @param from Address of the sender
      */
     void ReceivePkt(Ptr<const Packet> packet, const Address& from);
 };
@@ -110,10 +110,10 @@
 }
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief PacketSocket apps TestSuite
+ * @brief PacketSocket apps TestSuite
  */
 class PacketSocketAppsTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/test/packet-test-suite.cc ns-3.44/src/network/test/packet-test-suite.cc
--- ns-3.43/src/network/test/packet-test-suite.cc	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/test/packet-test-suite.cc	2025-03-09 16:55:49.675372100 -0700
@@ -25,12 +25,12 @@
 {
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Base class for Test tags
+ * @brief Base class for Test tags
  *
- * \note Class internal to packet-test-suite.cc
+ * @note Class internal to packet-test-suite.cc
  */
 class ATestTagBase : public Tag
 {
@@ -42,7 +42,7 @@
     }
 
     /// Constructor
-    /// \param data Tag data
+    /// @param data Tag data
     ATestTagBase(uint8_t data)
         : m_error(false),
           m_data(data)
@@ -51,7 +51,7 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId()
     {
@@ -63,7 +63,7 @@
     }
 
     /// Get the tag data.
-    /// \return the tag data.
+    /// @return the tag data.
     int GetData() const
     {
         int result = (int)m_data;
@@ -75,12 +75,12 @@
 };
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Template class for Test tags
+ * @brief Template class for Test tags
  *
- * \note Class internal to packet-test-suite.cc
+ * @note Class internal to packet-test-suite.cc
  */
 template <int N>
 class ATestTag : public ATestTagBase
@@ -88,7 +88,7 @@
   public:
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId()
     {
@@ -145,7 +145,7 @@
     }
 
     /// Constructor
-    /// \param data Tag data
+    /// @param data Tag data
     ATestTag(uint8_t data)
         : ATestTagBase(data)
     {
@@ -157,14 +157,14 @@
 #define LARGE_TAG_BUFFER_SIZE 64
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Template class for Large Test tags
+ * @brief Template class for Large Test tags
  *
- * \see Bug 2221: Expanding packet tag maximum size
+ * @see Bug 2221: Expanding packet tag maximum size
  *
- * \note Class internal to packet-test-suite.cc
+ * @note Class internal to packet-test-suite.cc
  */
 class ALargeTestTag : public Tag
 {
@@ -180,7 +180,7 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId()
     {
@@ -232,12 +232,12 @@
 };
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Base class for Test headers
+ * @brief Base class for Test headers
  *
- * \note Class internal to packet-test-suite.cc
+ * @note Class internal to packet-test-suite.cc
  */
 class ATestHeaderBase : public Header
 {
@@ -250,7 +250,7 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId()
     {
@@ -267,12 +267,12 @@
 };
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Template class for Test headers
+ * @brief Template class for Test headers
  *
- * \note Class internal to packet-test-suite.cc
+ * @note Class internal to packet-test-suite.cc
  */
 template <int N>
 class ATestHeader : public ATestHeaderBase
@@ -280,7 +280,7 @@
   public:
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId()
     {
@@ -336,12 +336,12 @@
 };
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Base class for Test trailers
+ * @brief Base class for Test trailers
  *
- * \note Class internal to packet-test-suite.cc
+ * @note Class internal to packet-test-suite.cc
  */
 class ATestTrailerBase : public Trailer
 {
@@ -354,7 +354,7 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId()
     {
@@ -371,12 +371,12 @@
 };
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Template class for Test trailers
+ * @brief Template class for Test trailers
  *
- * \note Class internal to packet-test-suite.cc
+ * @note Class internal to packet-test-suite.cc
  */
 template <int N>
 class ATestTrailer : public ATestTrailerBase
@@ -384,7 +384,7 @@
   public:
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId()
     {
@@ -442,20 +442,20 @@
 };
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Struct to hold the expected data in the packet
+ * @brief Struct to hold the expected data in the packet
  *
- * \note Class internal to packet-test-suite.cc
+ * @note Class internal to packet-test-suite.cc
  */
 struct Expected
 {
     /**
      * Constructor
-     * \param n_ Number of elements
-     * \param start_ Start
-     * \param end_ End
+     * @param n_ Number of elements
+     * @param start_ Start
+     * @param end_ End
      */
     Expected(uint32_t n_, uint32_t start_, uint32_t end_)
         : n(n_),
@@ -467,10 +467,10 @@
 
     /**
      * Constructor
-     * \param n_ Number of elements
-     * \param start_ Start
-     * \param end_ End
-     * \param data_ Data stored in tag
+     * @param n_ Number of elements
+     * @param start_ Start
+     * @param end_ End
+     * @param data_ Data stored in tag
      */
     Expected(uint32_t n_, uint32_t start_, uint32_t end_, uint8_t data_)
         : n(n_),
@@ -501,8 +501,8 @@
 #define CHECK_DATA(p, n, ...) DoCheckData(p, n, __VA_ARGS__)
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
  * Packet unit tests.
  */
@@ -515,16 +515,16 @@
   private:
     /**
      * Checks the packet
-     * \param p The packet
-     * \param n The number of variable arguments
-     * \param ... The variable arguments
+     * @param p The packet
+     * @param n The number of variable arguments
+     * @param ... The variable arguments
      */
     void DoCheck(Ptr<const Packet> p, uint32_t n, ...);
     /**
      * Checks the packet and its data
-     * \param p The packet
-     * \param n The number of variable arguments
-     * \param ... The variable arguments
+     * @param p The packet
+     * @param n The number of variable arguments
+     * @param ... The variable arguments
      */
     void DoCheckData(Ptr<const Packet> p, uint32_t n, ...);
 };
@@ -642,7 +642,7 @@
 
     {
         Packet c0 = *copy;
-        Packet c1 = *copy;
+        Packet c1 = *copy; // NOLINT(performance-unnecessary-copy-initialization)
         c0 = c1;
         CHECK(&c0, 1, E(1, 0, 1000));
         CHECK(&c1, 1, E(1, 0, 1000));
@@ -850,7 +850,7 @@
     }
 
     {
-        /// \internal
+        /// @internal
         /// See \bugid{572}
         Ptr<Packet> tmp = Create<Packet>(1000);
         tmp->AddByteTag(ATestTag<20>());
@@ -948,8 +948,8 @@
 }
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
  * Packet Tag list unit tests.
  */
@@ -963,33 +963,33 @@
     void DoRun() override;
     /**
      * Checks against a reference PacketTagList
-     * \param ref Reference
-     * \param t List to test
-     * \param msg Message
-     * \param miss Expected miss/hit
+     * @param ref Reference
+     * @param t List to test
+     * @param msg Message
+     * @param miss Expected miss/hit
      */
     void CheckRef(const PacketTagList& ref, ATestTagBase& t, const char* msg, bool miss = false);
     /**
      * Checks against a reference PacketTagList
-     * \param ref Reference
-     * \param msg Message
-     * \param miss Expected miss/hit
+     * @param ref Reference
+     * @param msg Message
+     * @param miss Expected miss/hit
      */
     void CheckRefList(const PacketTagList& ref, const char* msg, int miss = 0);
 
     /**
      * Prints the remove time
-     * \param ref Reference.
-     * \param t List to test.
-     * \param msg Message - prints on cout if msg is not null.
-     * \return the ticks to remove the tags.
+     * @param ref Reference.
+     * @param t List to test.
+     * @param msg Message - prints on cout if msg is not null.
+     * @return the ticks to remove the tags.
      */
     int RemoveTime(const PacketTagList& ref, ATestTagBase& t, const char* msg = nullptr);
 
     /**
      * Prints the remove time
-     * \param verbose prints on cout if verbose is true.
-     * \return the ticks to remove the tags.
+     * @param verbose prints on cout if verbose is true.
+     * @return the ticks to remove the tags.
      */
     int AddRemoveTime(const bool verbose = false);
 };
@@ -1258,10 +1258,10 @@
 }
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Packet TestSuite
+ * @brief Packet TestSuite
  */
 class PacketTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/test/pcap-file-test-suite.cc ns-3.44/src/network/test/pcap-file-test-suite.cc
--- ns-3.43/src/network/test/pcap-file-test-suite.cc	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/test/pcap-file-test-suite.cc	2025-03-09 16:55:49.675372100 -0700
@@ -66,10 +66,10 @@
 }
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Test case to make sure that the Pcap File Object can do its
+ * @brief Test case to make sure that the Pcap File Object can do its
  * most basic job and create an empty pcap file.
  */
 class WriteModeCreateTestCase : public TestCase
@@ -193,10 +193,10 @@
 }
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Test case to make sure that the Pcap File Object can open an
+ * @brief Test case to make sure that the Pcap File Object can open an
  * existing pcap file.
  */
 class ReadModeCreateTestCase : public TestCase
@@ -424,10 +424,10 @@
 #endif
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Test case to make sure that the Pcap File Object can
+ * @brief Test case to make sure that the Pcap File Object can
  * write out correct pcap file headers in both endian cases,
  * and then read them in correctly.
  */
@@ -702,10 +702,10 @@
 }
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Test case to make sure that the Pcap File Object can
+ * @brief Test case to make sure that the Pcap File Object can
  * write pcap packet records in both endian cases, and then read
  * them in correctly.
  */
@@ -1060,10 +1060,10 @@
 }
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Test case to make sure that the Pcap File Object can read
+ * @brief Test case to make sure that the Pcap File Object can read
  * out the contents of a known good pcap file.
  */
 class ReadFileTestCase : public TestCase
@@ -1302,10 +1302,10 @@
 }
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Test case to make sure that the Pcap::Diff method works as expected.
+ * @brief Test case to make sure that the Pcap::Diff method works as expected.
  */
 class DiffTestCase : public TestCase
 {
@@ -1365,10 +1365,10 @@
 }
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief PCAP file utils TestSuite
+ * @brief PCAP file utils TestSuite
  */
 class PcapFileTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/test/sequence-number-test-suite.cc ns-3.44/src/network/test/sequence-number-test-suite.cc
--- ns-3.43/src/network/test/sequence-number-test-suite.cc	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/test/sequence-number-test-suite.cc	2025-03-09 16:55:49.675372100 -0700
@@ -18,12 +18,12 @@
 {
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Test object using sequence numbers
+ * @brief Test object using sequence numbers
  *
- * \note Class internal to sequence-number-test-suite.cc
+ * @note Class internal to sequence-number-test-suite.cc
  */
 class SequenceNumberTestObj : public Object
 {
@@ -37,8 +37,8 @@
     }
 
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId()
     {
@@ -69,10 +69,10 @@
 } // namespace
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Sequence Number Unit Test
+ * @brief Sequence Number Unit Test
  */
 class SequenceNumberTestCase : public TestCase
 {
@@ -81,8 +81,8 @@
 
     /**
      * Sequence number tracker
-     * \param oldval Old value
-     * \param newval New value
+     * @param oldval Old value
+     * @param newval New value
      */
     void SequenceNumberTracer(SequenceNumber32 oldval, SequenceNumber32 newval);
 
@@ -206,10 +206,10 @@
 }
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Sequence Number TestSuite
+ * @brief Sequence Number TestSuite
  */
 class SequenceNumberTestSuite : public TestSuite
 {
